Create a list
curl --request POST \
--url https://app.nex.ai/api/developers/v1/objects/{slug}/lists \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "VIP Contacts",
"slug": "vip-contacts",
"description": "High-value contacts"
}
'import requests
url = "https://app.nex.ai/api/developers/v1/objects/{slug}/lists"
payload = {
"name": "VIP Contacts",
"slug": "vip-contacts",
"description": "High-value contacts"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'VIP Contacts', slug: 'vip-contacts', description: 'High-value contacts'})
};
fetch('https://app.nex.ai/api/developers/v1/objects/{slug}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/objects/{slug}/lists"
payload := strings.NewReader("{\n \"name\": \"VIP Contacts\",\n \"slug\": \"vip-contacts\",\n \"description\": \"High-value contacts\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"attributes": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>",
"options": {
"is_multi_value": true,
"is_required": true,
"is_unique": true,
"is_whole_number": true,
"select_options": [
{
"id": "<string>",
"name": "<string>"
}
],
"use_raw_format": true
},
"slug": "<string>",
"type": "<string>"
}
],
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"name_plural": "<string>",
"slug": "<string>",
"type": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Lists
Create a list
Creates a new list associated with a specific object type
POST
/
v1
/
objects
/
{slug}
/
lists
Create a list
curl --request POST \
--url https://app.nex.ai/api/developers/v1/objects/{slug}/lists \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "VIP Contacts",
"slug": "vip-contacts",
"description": "High-value contacts"
}
'import requests
url = "https://app.nex.ai/api/developers/v1/objects/{slug}/lists"
payload = {
"name": "VIP Contacts",
"slug": "vip-contacts",
"description": "High-value contacts"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'VIP Contacts', slug: 'vip-contacts', description: 'High-value contacts'})
};
fetch('https://app.nex.ai/api/developers/v1/objects/{slug}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/objects/{slug}/lists"
payload := strings.NewReader("{\n \"name\": \"VIP Contacts\",\n \"slug\": \"vip-contacts\",\n \"description\": \"High-value contacts\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"attributes": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>",
"options": {
"is_multi_value": true,
"is_required": true,
"is_unique": true,
"is_whole_number": true,
"select_options": [
{
"id": "<string>",
"name": "<string>"
}
],
"use_raw_format": true
},
"slug": "<string>",
"type": "<string>"
}
],
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"name_plural": "<string>",
"slug": "<string>",
"type": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Authorizations
API key for authentication (format: "Bearer YOUR_API_KEY")
Path Parameters
Object slug (e.g., 'person', 'company')
Body
application/json
List to create
Response
Created list
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Last modified on February 17, 2026
⌘I